aboutsummaryrefslogtreecommitdiff
path: root/paludis/util/fs_iterator_TEST_setup.sh
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2010-08-24 13:28:45 +0100
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2010-08-24 15:47:41 +0100
commit49750cc61904ba17060521bd345c6ae526fb1bf8 (patch)
tree8aa8c06a7d6ec58c62dd0741011e8357a19c8b8d /paludis/util/fs_iterator_TEST_setup.sh
parent75f48bbb1ae368febe984c10c2db2d0b5cbd7cec (diff)
downloadpaludis-49750cc61904ba17060521bd345c6ae526fb1bf8.tar.gz
paludis-49750cc61904ba17060521bd345c6ae526fb1bf8.tar.xz
FSEntry -> FSPath, FSStat
Fixes: ticket:967
Diffstat (limited to 'paludis/util/fs_iterator_TEST_setup.sh')
-rwxr-xr-xpaludis/util/fs_iterator_TEST_setup.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/paludis/util/fs_iterator_TEST_setup.sh b/paludis/util/fs_iterator_TEST_setup.sh
new file mode 100755
index 0000000..64970d0
--- /dev/null
+++ b/paludis/util/fs_iterator_TEST_setup.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir fs_iterator_TEST_dir || exit 2
+cd fs_iterator_TEST_dir || exit 3
+touch file1 file2 .file3 || exit 4
+ln file1 file4 || cp file1 file4 || exit 5